System.Web 2.0.0.0 System.Object System.Web.UI.IStateManager

The class is used by data-bound controls to specify the properties of an object when creating an automatically generated field. For example, when the control creates an automatically generated row, it creates an object with the row's properties and passes it to the method. Likewise, the control passes an object to the method when creating an automatically generated column.

This class is typically used only when extending the or control.

You can specify the name of the field to bind to an object by setting the property. To specify the data type of the field values, set the property. You can prevent users from modifying the field values by setting the property to true. You can also assign a name to an object by setting the property.

Represents the properties of an object. This class cannot be inherited.

- Constructor

  Use this constructor to create a new instance of the class.

  This constructor is primarily used by control developers when extending a data-bound control.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.String To be added.

  Use the property to specify the name of the data field to bind to the object. The object automatically displays the values in the appropriate control, based on the property. For example, values are displayed in check box controls, while values are displayed as plain text.

  Gets or sets the name of the field bound to the object.

  2.0.0.0
- Property
  System.Boolean To be added.

  Use the property to specify whether the values of the field bound to an object can be modified in edit mode. When a data-bound control is in edit mode, fields that are read-only are displayed as plain text, without any editing controls.

  Gets or sets a value indicating whether the values displayed in an object can be modified in edit mode.

  2.0.0.0
- Property
  System.String To be added.

  Use the property to specify the name of the object. The name is often the name of the field bound to the object. The value of this property is also displayed in the header section of the object in a or a control.

  Gets or sets the name of the object.

  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  The property is used to determine whether the object is tracking its view-state changes.

  This property is used primarily by control developers.

  Gets a value indicating whether the object is tracking its view-state changes.

- Method
  2.0.0.0
  System.Void ``

  The method is used to load the previously saved view state of the control.

  This method is used primarily by control developers when extending the control.

  Loads the previously saved view state of the object.

  An that represents the state of the .
- Method
  2.0.0.0
  System.Object

  The method is a helper method used by the class to save the state of the object.

  Saves the current view state of the object.

  An that contains the saved state of the object.

- Method
  2.0.0.0
  System.Void

  This method is overridden to mark the starting point at which to begin tracking and saving changes to the object as part of the object's view state.

  Marks the starting point at which to begin tracking and saving view-state changes to the object.

- Property
  System.Type To be added.

  Use the property to specify the data type of the value displayed in the object. The data type determines what type of control is rendered in an object to display the value. For example, a check box control is displayed when the type is .

  Gets or sets the data type of the value displayed in an object.

  2.0.0.0